ECHO OFF
cls
if %1!==! goto error
ECHO        If you have not read the file READ.ME, please do so.
ECHO        This install batch file will install the Quarterdeck White
ECHO        Papers and QTEST to %1:\QWHITE.  The White Papers are
ECHO        shipped in a compressed format to allow them to fit on a
ECHO        single diskette.  The install will create the readable
ECHO        ASCII files. If you wish to install these files to another
ECHO        subdirectory press Ctrl-Break now and read the file READ.ME on
ECHO        the install disk for more information.
ECHO        -------------------------------------------------------------
ECHO        Press any key to continue or Ctrl-Break to stop.
pause >NUL
echo        Creating %1:\QWHITE
md %1:\QWHITE >NUL
echo . >%1:\qwhite\QW-PIF.DVP
if exist %1:\qwhite\QW-PIF.DVP goto install >NUL
goto ERROR
:INSTALL
erase %1:\qwhite\QW-PIF.DVP >NUL
echo        Copying QTEST.COM
copy QTEST.COM %1:\QWHITE >NUL
if NOT EXIST %1:\QWHITE\QTEST.COM echo        QTEST.COM could not be copied
echo        Copying QTEST.TEC
copy QTEST.TEC %1:\QWHITE >NUL
if NOT EXIST %1:\QWHITE\QTEST.TEC echo        QTEST.TEC could not be copied
echo        Copying READ.ME
copy READ.ME %1:\QWHITE >NUL
if NOT EXIST %1:\QWHITE\READ.ME echo          READ.ME could not be copied
ECHO        Copying QWHITE10.EXE
copy QWHITE10.EXE %1:\QWHITE >NUL
if NOT EXIST %1:\QWHITE\QWHITE10.EXE goto COPYERR
ECHO        Copy complete
%1:
echo        Extracting The Quarterdeck White Papers
cd %1:\QWHITE
QWHITE10 -o
if errorlevel 1 goto EXTERR
erase QWHITE10.EXE >NUL
ECHO        -------------------------------------------------------------
ECHO        The Quarterdeck White Papers and QTEST have been installed to
ECHO        %1:\QWHITE.  If you are using DESQview refer to 'OTHER:Adding
ECHO        Your Own Program' on pages 60-61 of your version 2 manual for
ECHO        help on adding the Quarterdeck White Papers to your DESQview
ECHO        Open Window Menu. You should also read the files QTEST.TEC and
ECHO        QWHITE.TEC for information on running QTEST and QWHITE. The
ECHO        Quarterdeck White Papers program, QWHITE.COM, requires DESQview
ECHO        version 2.23 to run.  If you do not have DESQview version 2.23
ECHO        or later, you may use your word processor, editor, or file
ECHO        viewer to read the technical notes. Read the files QWHITE.TEC
ECHO        and READ.ME for more information.
goto END
:COPYERR
ECHO        -------------------------------------------------------------
ECHO        The file QWHITE10.EXE could not be copied.  The install program
ECHO        cannot continue.
goto INSTERR
:EXTERR
ECHO        -------------------------------------------------------------
ECHO        The file QWHITE10.EXE could be run.  The install program
ECHO        cannot continue.  Make sure the file QWHITE10.EXE has been
ECHO        copied correctly.  Switch to %1:\QWHITE and run QWHITE10.
:INSTERR
ECHO        Make sure your diskette has not been damaged.
goto END
:ERROR
ECHO        -------------------------------------------------------------
ECHO        The INSTALL failed.  Switch to the drive where you have placed
ECHO        the install diskette and type INSTALL X where X is the drive
ECHO        letter where INSTALL should place its files. For example: If
ECHO        the diskette is in the A drive and you wish to install to the C
ECHO        drive, switch to the A drive by typing A: and pressing ENTER.
ECHO        Then type INSTALL C and press ENTER to start the install.
ECHO        You may also want to read the file READ.ME for additional
ECHO        information.
:END
ECHO        -------------------------------------------------------------
